ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexIBM MQ Performance Monitoringerror in installing perfharness on linux machine

Post new topicReply to topic
error in installing perfharness on linux machine View previous topic :: View next topic
Author Message
Dread86
PostPosted: Fri Aug 04, 2017 8:54 pm Post subject: error in installing perfharness on linux machine Reply with quote

Novice

Joined: 15 Mar 2016
Posts: 15

Hi All,

I am trying to install performance harness (CPH) tool in linux machine.
Once i copied the extract and placed in my server location and then ran "make"..It executed couple of build objects, but stopped when executing C++ object. The error it shows as " make: g++: Command not found". Can anyone please help me how to proceed further? Do i need to install separately the C++ compiler?

[user@server mq-cph-master]$ make
Platform sub-directory: Linux_x86_64
Creating output directory: Release/Linux_x86_64

Building C object: src/cphArrayList.c -> Release/Linux_x86_64/cphArrayList.o
gcc -c -o Release/Linux_x86_64/cphArrayList.o src/cphArrayList.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphBundle.c -> Release/Linux_x86_64/cphBundle.o
gcc -c -o Release/Linux_x86_64/cphBundle.o src/cphBundle.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphConfig.c -> Release/Linux_x86_64/cphConfig.o
gcc -c -o Release/Linux_x86_64/cphConfig.o src/cphConfig.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphDestinationFactory.c -> Release/Linux_x86_64/cphDestinationFactory.o
gcc -c -o Release/Linux_x86_64/cphDestinationFactory.o src/cphDestinationFactory.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphListIterator.c -> Release/Linux_x86_64/cphListIterator.o
gcc -c -o Release/Linux_x86_64/cphListIterator.o src/cphListIterator.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphLog.c -> Release/Linux_x86_64/cphLog.o
gcc -c -o Release/Linux_x86_64/cphLog.o src/cphLog.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphMQSplitter.c -> Release/Linux_x86_64/cphMQSplitter.o
gcc -c -o Release/Linux_x86_64/cphMQSplitter.o src/cphMQSplitter.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphNameVal.c -> Release/Linux_x86_64/cphNameVal.o
gcc -c -o Release/Linux_x86_64/cphNameVal.o src/cphNameVal.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphSpinLock.c -> Release/Linux_x86_64/cphSpinLock.o
gcc -c -o Release/Linux_x86_64/cphSpinLock.o src/cphSpinLock.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphStringBuffer.c -> Release/Linux_x86_64/cphStringBuffer.o
gcc -c -o Release/Linux_x86_64/cphStringBuffer.o src/cphStringBuffer.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphTrace.c -> Release/Linux_x86_64/cphTrace.o
gcc -c -o Release/Linux_x86_64/cphTrace.o src/cphTrace.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C object: src/cphUtil.c -> Release/Linux_x86_64/cphUtil.o
gcc -c -o Release/Linux_x86_64/cphUtil.o src/cphUtil.c -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG

Building C++ object: src/ControlThread.cpp -> Release/Linux_x86_64/ControlThread.o
g++ -c -std=c++0x -o Release/Linux_x86_64/ControlThread.o src/ControlThread.cpp -D__STDC_FORMAT_MACROS -DCPH_UNIX -DCPH_LINUX -I/opt/app/IBM/mqm/inc -MMD -MP -O3 -DNDEBUG
make: g++: Command not found
make: *** [Release/Linux_x86_64/ControlThread.o] Error 127
Back to top
View user's profile Send private message
exerk
PostPosted: Sat Aug 05, 2017 12:33 am Post subject: Reply with quote

Jedi Council

Joined: 02 Nov 2006
Posts: 5676

Have you tried yum install gcc-c++, or sudo apt-get install g++ (depending on your Linux flavour)?
_________________
It's puzzling, I don't think I've ever seen anything quite like this before...and it's hard to soar like an eagle when you're surrounded by turkeys.

Back to top
View user's profile Send private message
Dread86
PostPosted: Sat Aug 05, 2017 1:22 am Post subject: Reply with quote

Novice

Joined: 15 Mar 2016
Posts: 15

exerk wrote:
Have you tried yum install gcc-c++, or sudo apt-get install g++ (depending on your Linux flavour)?


I have tried yum install, throwing version mismatch error.
[root@server ]# yum install gcc-c++
Resolving Dependencies
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.4.7-16.el6 will be installed
--> Processing Dependency: libstdc++-devel = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
--> Processing Dependency: gcc = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
--> Processing Dependency: libstdc++ = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.4.7-16.el6 will be installed
--> Processing Dependency: gcc = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
--> Processing Dependency: libstdc++ = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
---> Package libstdc++-devel.x86_64 0:4.4.7-16.el6 will be installed
--> Processing Dependency: libstdc++(x86-64) = 4.4.7-16.el6 for package: libstdc++-devel-4.4.7-16.el6.x86_64
--> Finished Dependency Resolution
Error: Package: libstdc++-devel-4.4.7-16.el6.x86_64 (RHEL_6_Updates)
Requires: libstdc++(x86-64) = 4.4.7-16.el6
Installed: libstdc++-4.4.7-18.el6.x86_64 (installed)
libstdc++(x86-64) = 4.4.7-18.el6
Available: libstdc++-4.4.7-3.el6.x86_64 (RHEL_6_Updates)
libstdc++(x86-64) = 4.4.7-3.el6
Available: libstdc++-4.4.7-4.el6.x86_64 (RHEL_6_Updates)
libstdc++(x86-64) = 4.4.7-4.el6
Available: libstdc++-4.4.7-11.el6.x86_64 (RHEL_6_Updates)
libstdc++(x86-64) = 4.4.7-11.el6
Available: libstdc++-4.4.7-16.el6.x86_64 (RHEL_6_Updates)
libstdc++(x86-64) = 4.4.7-16.el6
Error: Package: gcc-c++-4.4.7-16.el6.x86_64 (RHEL_6_Updates)
Requires: libstdc++ = 4.4.7-16.el6
Installed: libstdc++-4.4.7-18.el6.i686 (installed)
libstdc++ = 4.4.4-15.el6
libstdc++ = 4.4.7-18.el6
Available: libstdc++-4.4.7-3.el6.i686 (RHEL_6_Updates)
libstdc++ = 4.4.7-3.el6
libstdc++ = 4.4.4-15.el6
Available: libstdc++-4.4.7-4.el6.i686 (RHEL_6_Updates)
libstdc++ = 4.4.7-4.el6
libstdc++ = 4.4.4-15.el6
Available: libstdc++-4.4.7-11.el6.i686 (RHEL_6_Updates)
libstdc++ = 4.4.7-11.el6
libstdc++ = 4.4.4-15.el6
Available: libstdc++-4.4.7-16.el6.i686 (RHEL_6_Updates)
libstdc++ = 4.4.7-16.el6
libstdc++ = 4.4.4-15.el6
Error: Package: gcc-c++-4.4.7-16.el6.x86_64 (RHEL_6_Updates)
Requires: gcc = 4.4.7-16.el6
Installed: gcc-4.4.7-18.el6.x86_64 (installed)
gcc = 4.4.4-15.el6
gcc = 4.4.7-18.el6
Available: gcc-4.4.7-3.el6.x86_64 (RHEL_6_Updates)
gcc = 4.4.4-15.el6
gcc = 4.4.7-3.el6
Available: gcc-4.4.7-4.el6.x86_64 (RHEL_6_Updates)
gcc = 4.4.7-4.el6
gcc = 4.4.4-15.el6
Available: gcc-4.4.7-11.el6.x86_64 (RHEL_6_Updates)
gcc = 4.4.7-11.el6
gcc = 4.4.4-15.el6
Available: gcc-4.4.7-16.el6.x86_64 (RHEL_6_Updates)
gcc = 4.4.4-15.el6
gcc = 4.4.7-16.el6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Back to top
View user's profile Send private message
fjb_saper
PostPosted: Sun Aug 06, 2017 8:13 am Post subject: Reply with quote

Grand Poobah

Joined: 18 Nov 2003
Posts: 19208
Location: LI,NY

Uninstall 4.4.7.18, let it install with 4.4.7.16. Verify if this is enough.
If not you can always upgrade to 4.4.7.18 once the install with 4.4.7.16 is done...

Have fun
_________________
MQ & Broker admin
Back to top
View user's profile Send private message Send e-mail
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexIBM MQ Performance Monitoringerror in installing perfharness on linux machine
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.